/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PATV                                                     */
/* Tabela : PRINATIV                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 22/01/2004 - Luiz Otvio de Souza                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PATV
BEFORE INSERT OR UPDATE OR DELETE
ON PRINATIV FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPATV := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRINATIV,0) <> NVL(:NEW.CDPRINATIV,0)) THEN
         :NEW.DTULTATUPATV := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRINATIV', '', 'CDPRINATIV='||:OLD.CDPRINATIV||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRINATIV MODIFY DTULTATUPATV DEFAULT SYSDATE
/
